package com.cultural.heritage.model.dto.order;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class OrderStatusUpdateRequest implements Serializable {

    /**
     * 订单id
     */
    @Schema(description = "订单id", example = "445")
    private Long id;


    /**
     * 订单状态
     */
    @Schema(description = "订单状态", example = "待支付")
    private String orderStatus;



    @Serial
    private static final long serialVersionUID = 1L;
}
