package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;


/**
 * 轮播图
 * @TableName   banner
 */
@Data
@TableName("banner")
public class Banner implements Serializable {


    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 类型
     */
    private String type;


    /**
     * URL
     */
    private String url;


    /**
     * 创建时间
     */
    private Date createTime;


    /**
     * 更新时间
     */
    private Date updateTime;


    /**
     * 是否删除
     */
    private Integer isDelete;



    @Serial
    private static final long serialVersionUID = 1L;
}
