package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 写真类别
 * @TableName   photo_category
 */

@Data
@TableName("photo_category")
public class PhotoCategory implements Serializable {


    /**
     * 类别id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 类别名称
     */
    private String name;


    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;


    @Serial
    private static final long serialVersionUID = 1L;
}
