package com.cultural.heritage.model.vo.article;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class OfficialAccountArticleVO implements Serializable {

    /**
     * 文章id
     */
    private Long id;

    /**
     * 文章标题
     */
    private String title;


    /**
     * 文章图片
     */
    private String image;


    /**
     * 发布时间
     */
    private String publishTime;


    /**
     * 文章链接
     */
    private String url;



    @Serial
    private static final long serialVersionUID = 1L;
}
