package com.cultural.heritage.service.good;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.entity.AppointmentDate;
import com.cultural.heritage.model.vo.appointment.AppointmentDateTimePeriodVO;

import java.util.List;

public interface AppointmentDateService extends IService<AppointmentDate> {

    /**
     * 校验
     */
    void validAppointmentDate(AppointmentDate appointmentDate, boolean update);


    /**
     * (多表联查)查询所有商品的预约情况
     */
    List<AppointmentDateTimePeriodVO> queryAppointmentDateDetail();


    /**
     * (多表联查)根据id查询商品的预约情况
     */
    List<AppointmentDateTimePeriodVO> queryAppointmentDateDetailById(Long goodId);

}
